package org.wfc.omada.api.insight.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * GetGridIpsThreat
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:42:30.396+08:00[Asia/Shanghai]")

public class GetGridIpsThreat   {
  @JsonProperty("id")
  private String id;

  @JsonProperty("time")
  private Long time;

  @JsonProperty("srcCountry")
  private String srcCountry;

  @JsonProperty("service")
  private String service;

  @JsonProperty("severity")
  private Integer severity;

  @JsonProperty("category")
  private Integer category;

  @JsonProperty("classification")
  private String classification;

  public GetGridIpsThreat id(String id) {
    this.id = id;
    return this;
  }

  /**
   * IPS threat ID
   * @return id
  */
  @ApiModelProperty(value = "IPS threat ID")


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public GetGridIpsThreat time(Long time) {
    this.time = time;
    return this;
  }

  /**
   * Timestamp, in seconds, such as 1682000000
   * @return time
  */
  @ApiModelProperty(value = "Timestamp, in seconds, such as 1682000000")


  public Long getTime() {
    return time;
  }

  public void setTime(Long time) {
    this.time = time;
  }

  public GetGridIpsThreat srcCountry(String srcCountry) {
    this.srcCountry = srcCountry;
    return this;
  }

  /**
   * IPS threat source Country
   * @return srcCountry
  */
  @ApiModelProperty(value = "IPS threat source Country")


  public String getSrcCountry() {
    return srcCountry;
  }

  public void setSrcCountry(String srcCountry) {
    this.srcCountry = srcCountry;
  }

  public GetGridIpsThreat service(String service) {
    this.service = service;
    return this;
  }

  /**
   * IPS threat description
   * @return service
  */
  @ApiModelProperty(value = "IPS threat description")


  public String getService() {
    return service;
  }

  public void setService(String service) {
    this.service = service;
  }

  public GetGridIpsThreat severity(Integer severity) {
    this.severity = severity;
    return this;
  }

  /**
   * IPS threat severity should be a value as follows: 0: Critical; 1: Major; 2: Moderate; 3: Minor; 4: Low
   * @return severity
  */
  @ApiModelProperty(value = "IPS threat severity should be a value as follows: 0: Critical; 1: Major; 2: Moderate; 3: Minor; 4: Low")


  public Integer getSeverity() {
    return severity;
  }

  public void setSeverity(Integer severity) {
    this.severity = severity;
  }

  public GetGridIpsThreat category(Integer category) {
    this.category = category;
    return this;
  }

  /**
   * IPS threat category
   * @return category
  */
  @ApiModelProperty(value = "IPS threat category")


  public Integer getCategory() {
    return category;
  }

  public void setCategory(Integer category) {
    this.category = category;
  }

  public GetGridIpsThreat classification(String classification) {
    this.classification = classification;
    return this;
  }

  /**
   * Ips threat classification
   * @return classification
  */
  @ApiModelProperty(value = "Ips threat classification")


  public String getClassification() {
    return classification;
  }

  public void setClassification(String classification) {
    this.classification = classification;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    GetGridIpsThreat getGridIpsThreat = (GetGridIpsThreat) o;
    return Objects.equals(this.id, getGridIpsThreat.id) &&
        Objects.equals(this.time, getGridIpsThreat.time) &&
        Objects.equals(this.srcCountry, getGridIpsThreat.srcCountry) &&
        Objects.equals(this.service, getGridIpsThreat.service) &&
        Objects.equals(this.severity, getGridIpsThreat.severity) &&
        Objects.equals(this.category, getGridIpsThreat.category) &&
        Objects.equals(this.classification, getGridIpsThreat.classification);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, time, srcCountry, service, severity, category, classification);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class GetGridIpsThreat {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    time: ").append(toIndentedString(time)).append("\n");
    sb.append("    srcCountry: ").append(toIndentedString(srcCountry)).append("\n");
    sb.append("    service: ").append(toIndentedString(service)).append("\n");
    sb.append("    severity: ").append(toIndentedString(severity)).append("\n");
    sb.append("    category: ").append(toIndentedString(category)).append("\n");
    sb.append("    classification: ").append(toIndentedString(classification)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

